Plattformintelligenz API
LinkedIn API
LinkedIn hat nahezu 1,3 Milliarden Mitglieder, die Profile, Unternehmensseiten, Beiträge, Stellenanzeigen und Fachwissen nutzen. Dies macht es wichtig für B2B-Marketing, Rekrutierung, Sichtbarkeit von Führungskräften und Lead-Generierung.
API-Referenz Version: 1.0.0 9 Endpunkte Authentifizierung
Basis-URL
https://api.pressmonitor.com/linkedin/v1 Authentifizierung
Alle Anfragen verwenden die Authentifizierung mit Bearer-Token. Fügen Sie den Authorization-Header zu jedem Aufruf hinzu.
Authorization: Bearer YOUR_TOKEN GET
/activity-time Aktivitätszeit
Activity Time
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| linkedin_url | string | query | Ja | LinkedIn-URL |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/linkedin/v1/activity-time?linkedin_url=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/linkedin/v1/activity-time?linkedin_url=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/linkedin/v1/activity-time" querystring = {"linkedin_url":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/linkedin/v1/activity-time?linkedin_url=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/linkedin/v1/activity-time?linkedin_url=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
200 Erfolg
GET
/company Unternehmen
Company
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| linkedin_url | string | query | Ja | LinkedIn-URL |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/linkedin/v1/company?linkedin_url=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/linkedin/v1/company?linkedin_url=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/linkedin/v1/company" querystring = {"linkedin_url":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/linkedin/v1/company?linkedin_url=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/linkedin/v1/company?linkedin_url=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
200 Erfolg
GET
/company-posts Unternehmensbeiträge
Company Posts
Code-Beispiele
curl --request GET \ --url https://api.pressmonitor.com/linkedin/v1/company-posts const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/linkedin/v1/company-posts", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/linkedin/v1/company-posts" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/linkedin/v1/company-posts", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/linkedin/v1/company-posts") .get() .build(); Response response = client.newCall(request).execute(); Antworten
200 Erfolg
GET
/companyby-domain Unternehmen nach Domain
Companyby Domain
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| domain | string | query | Ja | Domain |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/linkedin/v1/companyby-domain?domain=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/linkedin/v1/companyby-domain?domain=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/linkedin/v1/companyby-domain" querystring = {"domain":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/linkedin/v1/companyby-domain?domain=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/linkedin/v1/companyby-domain?domain=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
200 Erfolg
GET
/get-posts Beiträge abrufen
Get Posts
Code-Beispiele
curl --request GET \ --url https://api.pressmonitor.com/linkedin/v1/get-posts const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/linkedin/v1/get-posts", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/linkedin/v1/get-posts" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/linkedin/v1/get-posts", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/linkedin/v1/get-posts") .get() .build(); Response response = client.newCall(request).execute(); Antworten
200 Erfolg
GET
/posts Beiträge
Posts
Code-Beispiele
curl --request GET \ --url https://api.pressmonitor.com/linkedin/v1/posts const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/linkedin/v1/posts", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/linkedin/v1/posts" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/linkedin/v1/posts", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/linkedin/v1/posts") .get() .build(); Response response = client.newCall(request).execute(); Antworten
200 Erfolg
GET
/profile Profil
Profile
Code-Beispiele
curl --request GET \ --url https://api.pressmonitor.com/linkedin/v1/profile const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/linkedin/v1/profile", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/linkedin/v1/profile" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/linkedin/v1/profile", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/linkedin/v1/profile") .get() .build(); Response response = client.newCall(request).execute(); Antworten
200 Erfolg
GET
/search-posts Beiträge durchsuchen
Search Posts
Code-Beispiele
curl --request GET \ --url https://api.pressmonitor.com/linkedin/v1/search-posts const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/linkedin/v1/search-posts", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/linkedin/v1/search-posts" response = requests.request("GET", url) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/linkedin/v1/search-posts", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/linkedin/v1/search-posts") .get() .build(); Response response = client.newCall(request).execute(); Antworten
200 Erfolg